Bug 2599 - [UPDATE REQUEST] [UPSTREAM UPDATE] bind
: [UPDATE REQUEST] [UPSTREAM UPDATE] bind
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 14:58 MSD by Andrew Lukoshko
Modified: 2013-11-19 12:41 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-08-28 14:58:21 MSD
Due to a missing gss_release_name() call, the BIND DNS server leaked memory
when the "tkey-gssapi-credential" option was used in the BIND configuration.
This update properly frees all memory in case the "tkey-gssapi-credential" is
used, and BIND no longer leaks memory when GSSAPI credentials are used
internally by the server for authentication.

http://rhn.redhat.com/errata/RHBA-2013-1177.html

Buildlists:
https://abf.rosalinux.ru/build_lists/1222335
https://abf.rosalinux.ru/build_lists/1222336
Comment 1 Alexander Petryakov 2013-08-30 00:42:05 MSD
bind-9.8.2-0.17
*************** RHEL Advisory ****************
Due to a missing gss_release_name() call, the BIND DNS server leaked memory
when the "tkey-gssapi-credential" option was used in the BIND configuration.
This update properly frees all memory in case the "tkey-gssapi-credential" is
used, and BIND no longer leaks memory when GSSAPI credentials are used
internally by the server for authentication.

http://rhn.redhat.com/errata/RHBA-2013-1177.html
**************************************
QA Verified